(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,720,177);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,114,64);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,47,66);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1221,180);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,60,60);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,223,302);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,223,302);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,223,302);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,223,302);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,223,302);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,29,107);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,39,76);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,56,56);


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,47,66);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,114,64);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,56,56);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,39,76);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,29,107);
p.frameBounds = [rect];


(lib.drop = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,60,60);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32248',
			title: 'Adam sprzedał odpady w skupie. Umieść w każdym skupie tyle odpadów, aby ich liczba była równa otrzymanym przez Adama kwotom.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: ['1', '2', '3', '4','5'],
				2: ['6', '7', '8', '9','10'],
				3: ['11', '12', '13', '14','15','16','17'],
				4: ['18', '19', '20', '21','22','23'],
				5: ['24', '25', '26', '27','28']
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '2',	
				/*drop_7:*/ '2',	
				/*drop_8:*/ '2',	
				/*drop_9:*/ '2',		
				/*drop_10:*/ '2',		
				/*drop_11:*/ '3',		
				/*drop_12:*/ '3',		
				/*drop_13:*/ '3',		
				/*drop_14:*/ '3',		
				/*drop_15:*/ '3',		
				/*drop_16:*/ '3',		
				/*drop_17:*/ '3',		
				/*drop_18:*/ '4',		
				/*drop_19:*/ '4',		
				/*drop_20:*/ '4',		
				/*drop_21:*/ '4',		
				/*drop_22:*/ '4',		
				/*drop_23:*/ '4',		
				/*drop_24:*/ '5',		
				/*drop_25:*/ '5',		
				/*drop_26:*/ '5',		
				/*drop_27:*/ '5',		
				/*drop_28:*/ '5',		
			],
			range: 100,
			alpha: 0,
			alpha2: 0,
			scale: 0.9,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_23 = new lib.drop();
	this.drop_23.setTransform(869.1,436,1,1,0,0,0,30,30);

	this.drop_27 = new lib.drop();
	this.drop_27.setTransform(1072,386,1,1,0,0,0,30,30);

	this.drop_28 = new lib.drop();
	this.drop_28.setTransform(1122,386,1,1,0,0,0,30,30);

	this.drop_26 = new lib.drop();
	this.drop_26.setTransform(1145,336,1,1,0,0,0,30,30);

	this.drop_25 = new lib.drop();
	this.drop_25.setTransform(1095,336,1,1,0,0,0,30,30);

	this.drop_24 = new lib.drop();
	this.drop_24.setTransform(1045,336,1,1,0,0,0,30,30);

	this.drop_21 = new lib.drop();
	this.drop_21.setTransform(843,386,1,1,0,0,0,30,30);

	this.drop_22 = new lib.drop();
	this.drop_22.setTransform(893,386,1,1,0,0,0,30,30);

	this.drop_20 = new lib.drop();
	this.drop_20.setTransform(916,336,1,1,0,0,0,30,30);

	this.drop_19 = new lib.drop();
	this.drop_19.setTransform(866,336,1,1,0,0,0,30,30);

	this.drop_18 = new lib.drop();
	this.drop_18.setTransform(816,336,1,1,0,0,0,30,30);

	this.drop_16 = new lib.drop();
	this.drop_16.setTransform(605,436,1,1,0,0,0,30,30);

	this.drop_17 = new lib.drop();
	this.drop_17.setTransform(655,436,1,1,0,0,0,30,30);

	this.drop_14 = new lib.drop();
	this.drop_14.setTransform(605,386,1,1,0,0,0,30,30);

	this.drop_15 = new lib.drop();
	this.drop_15.setTransform(655,386,1,1,0,0,0,30,30);

	this.drop_13 = new lib.drop();
	this.drop_13.setTransform(678,336,1,1,0,0,0,30,30);

	this.drop_12 = new lib.drop();
	this.drop_12.setTransform(628,336,1,1,0,0,0,30,30);

	this.drop_11 = new lib.drop();
	this.drop_11.setTransform(578,336,1,1,0,0,0,30,30);

	this.drop_9 = new lib.drop();
	this.drop_9.setTransform(375,386,1,1,0,0,0,30,30);

	this.drop_10 = new lib.drop();
	this.drop_10.setTransform(425,386,1,1,0,0,0,30,30);

	this.drop_8 = new lib.drop();
	this.drop_8.setTransform(448,336,1,1,0,0,0,30,30);

	this.drop_7 = new lib.drop();
	this.drop_7.setTransform(398,336,1,1,0,0,0,30,30);

	this.drop_6 = new lib.drop();
	this.drop_6.setTransform(348,336,1,1,0,0,0,30,30);

	this.drop_4 = new lib.drop();
	this.drop_4.setTransform(145,386,1,1,0,0,0,30,30);

	this.drop_5 = new lib.drop();
	this.drop_5.setTransform(195,386,1,1,0,0,0,30,30);

	this.drop_3 = new lib.drop();
	this.drop_3.setTransform(218,336,1,1,0,0,0,30,30);

	this.drop_2 = new lib.drop();
	this.drop_2.setTransform(168,336,1,1,0,0,0,30,30);

	this.drop_1 = new lib.drop();
	this.drop_1.setTransform(118,336,1,1,0,0,0,30,30);

	this.drag_28 = new lib.Symbol1();
	this.drag_28.setTransform(443.3,607.7,1,1,0,0,0,14.5,53.5);

	this.drag_27 = new lib.Symbol1();
	this.drag_27.setTransform(443.3,607.7,1,1,0,0,0,14.5,53.5);

	this.drag_26 = new lib.Symbol1();
	this.drag_26.setTransform(443.3,607.7,1,1,0,0,0,14.5,53.5);

	this.drag_25 = new lib.Symbol1();
	this.drag_25.setTransform(443.3,607.7,1,1,0,0,0,14.5,53.5);

	this.drag_23 = new lib.Symbol5();
	this.drag_23.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_22 = new lib.Symbol5();
	this.drag_22.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_21 = new lib.Symbol5();
	this.drag_21.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_20 = new lib.Symbol5();
	this.drag_20.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_19 = new lib.Symbol5();
	this.drag_19.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_17 = new lib.Symbol4();
	this.drag_17.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_16 = new lib.Symbol4();
	this.drag_16.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_15 = new lib.Symbol4();
	this.drag_15.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_14 = new lib.Symbol4();
	this.drag_14.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_13 = new lib.Symbol4();
	this.drag_13.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_12 = new lib.Symbol4();
	this.drag_12.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_10 = new lib.Symbol2();
	this.drag_10.setTransform(508.8,623.2,1,1,0,0,0,19.5,38);

	this.drag_9 = new lib.Symbol2();
	this.drag_9.setTransform(508.8,623.2,1,1,0,0,0,19.5,38);

	this.drag_8 = new lib.Symbol2();
	this.drag_8.setTransform(508.8,623.2,1,1,0,0,0,19.5,38);

	this.drag_7 = new lib.Symbol2();
	this.drag_7.setTransform(508.8,623.2,1,1,0,0,0,19.5,38);

	this.drag_5 = new lib.Symbol3();
	this.drag_5.setTransform(588.1,633.4,1,1,0,0,0,28,28);

	this.drag_4 = new lib.Symbol3();
	this.drag_4.setTransform(588.1,633.4,1,1,0,0,0,28,28);

	this.drag_3 = new lib.Symbol3();
	this.drag_3.setTransform(588.1,633.4,1,1,0,0,0,28,28);

	this.drag_2 = new lib.Symbol3();
	this.drag_2.setTransform(588.1,633.4,1,1,0,0,0,28,28);

	this.drag_18 = new lib.Symbol5();
	this.drag_18.setTransform(815.6,628.4,1,1,0,0,0,23.5,33);

	this.drag_11 = new lib.Symbol4();
	this.drag_11.setTransform(704.2,630.3,1,1,0,0,0,57,32);

	this.drag_1 = new lib.Symbol3();
	this.drag_1.setTransform(588.1,633.4,1,1,0,0,0,28,28);

	this.drag_6 = new lib.Symbol2();
	this.drag_6.setTransform(508.8,623.2,1,1,0,0,0,19.5,38);

	this.drag_24 = new lib.Symbol1();
	this.drag_24.setTransform(443.3,607.7,1,1,0,0,0,14.5,53.5);

	this.instance = new lib.Bitmap6();
	this.instance.setTransform(985.9,208.8);

	this.instance_1 = new lib.Bitmap5();
	this.instance_1.setTransform(754.2,208.8);

	this.instance_2 = new lib.Bitmap4();
	this.instance_2.setTransform(522.4,208.8);

	this.instance_3 = new lib.Bitmap3();
	this.instance_3.setTransform(290.7,208.8);

	this.instance_4 = new lib.Bitmap2();
	this.instance_4.setTransform(58.9,208.8);

	this.instance_5 = new lib.Bitmap1();
	this.instance_5.setTransform(501.1,27.7);

	this.instance_6 = new lib.Bitmap12();
	this.instance_6.setTransform(38.5,537.4);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FF0000").s().p("AiWDQQg/hXAAh5QAAh4A/hXQA+hWBYgBQBZABA+BWQA/BXAAB4QAAB5g/BXQg+BXhZAAQhYAAg+hXg");
	this.shape.setTransform(131.5,354.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_24},{t:this.drag_6},{t:this.drag_1},{t:this.drag_11},{t:this.drag_18},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.drag_16},{t:this.drag_17},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drag_22},{t:this.drag_23},{t:this.drag_25},{t:this.drag_26},{t:this.drag_27},{t:this.drag_28},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_5},{t:this.drop_4},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_10},{t:this.drop_9},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_15},{t:this.drop_14},{t:this.drop_17},{t:this.drop_16},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_22},{t:this.drop_21},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drop_28},{t:this.drop_27},{t:this.drop_23}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(38.5,27.7,1221,689.8);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(678.5,387.7,1221,689.8);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;